node {
def sonarOrKey = "cours-eftl-ggestin_projet_julien"
def sonarProjectKey = "${sonarOrKey}_projet_julien"

try{

    stage('Checkout') {
        checkout scm
        def pom = readMavenPom file: 'pom.xml'
        if (pom) {
            echo "Building version ${pom.version}"
        }
        sh "chmod +x ./mvnw"
    }

    stage("build") {
        sh "./mvnw package -DskipTests"
    }

    stage("quality analysis"){
        def skipTests= ''
         if( env.SKIP_TESTS.toBoolean() )   {
             skipTests = '--DskipTests'
        }
        //echo env.SONAR_TOKEN
        sh "./mvnw verify ${skipTests} org.sonarsource.scanner.maven:sonar-maven-plugin:sonar -Dsonar.projectKey=cours-eftl-ggestin_projet_julien"

    }

    stage("archive artifects"){
        archiveArtifacts '**/target/*.jar'
    }

    } catch (Exception error) {
        throw error
    }
}
